# Filename: tri_n_nodes.py
# Purpose: Get the number of nodes in a triangulation.
# Returns: Integer.

from maptek import vulcan

input_tri = 'cube.00t' # input triangulation

with vulcan.triangulation(input_tri) as tri:
    num_nodes = tri.n_nodes() # get number of nodes

    # do something...
    print(num_nodes)